PDA

View Full Version : Oracle 11g R2 64-bit on SLES 12 x64 : possible ?



Arnaudk93
23-Apr-2015, 17:24
Hi !

I did several attempts to install Oracle 11g R2 on SLES 12 x64, without success.

Some libraries are flagged as missing, such as compat-lib-c++ (it seems there is a repo around but we need a special registration id)

When installing the software, I got 3 errors, and then I fail to setup one database.

Questions : is it compatible with SLES 12 ?

How can I add the missing libraries needed by Oracle ?

I tried months ago on SLES 11 SP3 and it worked like a charm.

Thanks,

Regards,

Arnaud

ab
23-Apr-2015, 17:58
On 04/23/2015 10:34 AM, Arnaudk93 wrote:
>
> Questions : is it compatible with SLES 12 ?

Does the Oracle 12 documentation state it is supported?

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

Arnaudk93
23-Apr-2015, 19:21
On 04/23/2015 10:34 AM, Arnaudk93 wrote:
>
> Questions : is it compatible with SLES 12 ?

Does the Oracle 12 documentation state it is supported?

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

No, it is not. Does that mean those wanting to install SLES 12 cannot use Oracle ?

ab
23-Apr-2015, 19:48
Not necessarily, but it likely does mean that if it does work, as soon as
you have any issues call Oracle about it they'll hang up on you.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

smflood
23-Apr-2015, 22:16
Arnaudk93 Wrote in message:

> I did several attempts to install Oracle 11g R2 on SLES 12 x64, without
> success.
>
> Some libraries are flagged as missing, such as compat-lib-c++ (it seems
> there is a repo around but we need a special registration id)
>
> When installing the software, I got 3 errors, and then I fail to setup
> one database.
>
> Questions : is it compatible with SLES 12 ?
>
> How can I add the missing libraries needed by Oracle ?
>
> I tried months ago on SLES 11 SP3 and it worked like a charm.

Yes it's possible. See https://forums.suse.com/s
howthread.php?5871-SLES12-witch-Oracle12c where someone previously
asked and I posted some links although they didn't report back
whether it worked.

HTH.
--
Simon Flood
SUSE Knowledge Partner


----Android NewsGroup Reader----
http://usenet.sinaapp.com/

sunilka
03-May-2015, 14:04
Hello,

Couple of weeks back I had installed Oracle 11g on SLES 12. It was successful.
It is compatible with SLES 12.

For your reference - http://ftp.suse.com/pub/partners/oracle/docs/OracleDB_on_SLES12.pdf